r15398 - gnucash/trunk/packaging/win32 - Replace openssl 0.9.8 by openssl 0.9.7 because gnome-vfs was built against it

Christian Stimming cstim at cvs.gnucash.org
Fri Jan 19 06:49:27 EST 2007


Author: cstim
Date: 2007-01-19 06:49:26 -0500 (Fri, 19 Jan 2007)
New Revision: 15398
Trac: http://svn.gnucash.org/trac/changeset/15398

Modified:
   gnucash/trunk/packaging/win32/custom.sh
   gnucash/trunk/packaging/win32/dist.sh
   gnucash/trunk/packaging/win32/install.sh
Log:
Replace openssl 0.9.8 by openssl 0.9.7 because gnome-vfs was built against it
and it is easier to handle.
Activate online banking (hbci) plugin of gnucash.

Modified: gnucash/trunk/packaging/win32/custom.sh
===================================================================
--- gnucash/trunk/packaging/win32/custom.sh	2007-01-19 05:53:30 UTC (rev 15397)
+++ gnucash/trunk/packaging/win32/custom.sh	2007-01-19 11:49:26 UTC (rev 15398)
@@ -80,7 +80,8 @@
 SLIB_URL="http://swiss.csail.mit.edu/ftpdir/scm/OLD/slib3a3.zip"
 GUILE_DIR=$GLOBAL_DIR\\guile
 
-OPENSSL_URL="http://www.slproweb.com/download/Win32OpenSSL-0_9_8d.exe"
+OPENSSL_BIN_URL="$SF_MIRROR/gnuwin32/openssl-0.9.7c-bin.zip"
+OPENSSL_LIB_URL="$SF_MIRROR/gnuwin32/openssl-0.9.7c-lib.zip"
 OPENSSL_DIR=$GLOBAL_DIR\\openssl
 
 PEXPORTS_URL="http://www.emmestech.com/software/cygwin/pexports-0.43/pexports-0.43.zip"
@@ -126,8 +127,8 @@
 GCONF_DEV_URL="$GNOME_WIN32_URL/GConf/2.14/GConf-dev-2.14.0.zip"
 LIBBONOBO_URL="$GNOME_WIN32_URL/libbonobo/2.16/libbonobo-2.16.0.zip"
 LIBBONOBO_DEV_URL="$GNOME_WIN32_URL/libbonobo/2.16/libbonobo-dev-2.16.0.zip"
-GNOME_VFS_URL="$GNOME_WIN32_URL/gnome-vfs/2.14/gnome-vfs-2.14.2.zip"
-GNOME_VFS_DEV_URL="$GNOME_WIN32_URL/gnome-vfs/2.14/gnome-vfs-dev-2.14.2.zip"
+GNOME_VFS_URL="$GNOME_WIN32_URL/gnome-vfs/2.14/gnome-vfs-2.14.2-no-openssl.zip"
+GNOME_VFS_DEV_URL="$GNOME_WIN32_URL/gnome-vfs/2.14/gnome-vfs-dev-2.14.2-no-openssl.zip"
 LIBGNOME_URL="$GNOME_WIN32_URL/libgnome/2.16/libgnome-2.16.0-1.zip"
 LIBGNOME_DEV_URL="$GNOME_WIN32_URL/libgnome/2.16/libgnome-dev-2.16.0.zip"
 LIBGNOMECANVAS_URL="$GNOME_WIN32_URL/libgnomecanvas/2.14/libgnomecanvas-2.14.0.zip"
@@ -167,8 +168,7 @@
 SVN_DIR=$GLOBAL_DIR\\svn
 
 ## online banking: gwenhywfar+aqbanking
-# Note: These versions are not yet released as of 2007-01-15
-GWENHYWFAR_URL="$SF_MIRROR/gwenhywfar/gwenhywfar-2.5.1.tar.gz"
+GWENHYWFAR_URL="$SF_MIRROR/gwenhywfar/gwenhywfar-2.5.2.tar.gz"
 GWENHYWFAR_DIR=$GLOBAL_DIR\\gwenhywfar
 
 AQBANKING_URL="$SF_MIRROR/aqbanking/aqbanking-2.2.5.tar.gz"
@@ -202,8 +202,8 @@
 add_step inst_goffice
 #add_step inst_glade
 ## Online banking:
-#add_step inst_gwenhywfar
-#add_step inst_aqbanking
+add_step inst_gwenhywfar
+add_step inst_aqbanking
 ##
 if test x$cross_compile != xyes ; then
  add_step inst_inno

Modified: gnucash/trunk/packaging/win32/dist.sh
===================================================================
--- gnucash/trunk/packaging/win32/dist.sh	2007-01-19 05:53:30 UTC (rev 15397)
+++ gnucash/trunk/packaging/win32/dist.sh	2007-01-19 11:49:26 UTC (rev 15398)
@@ -63,8 +63,9 @@
 
 function dist_openssl() {
     setup OpenSSL
+    _OPENSSL_UDIR=`unix_path $OPENSSL_DIR`
     mkdir -p $DIST_UDIR/bin
-    cp -a $_WIN_UDIR/system32/lib{eay,ssl}*.dll $DIST_UDIR/bin
+    cp -a $_OPENSSL_UDIR/bin/lib{eay,ssl}*.dll $DIST_UDIR/bin
 }
 
 function dist_libxml2() {
@@ -201,8 +202,8 @@
 dist_gnome
 dist_libgsf
 dist_goffice
-#dist_gwenhywfar
-#dist_aqbanking
+dist_gwenhywfar
+dist_aqbanking
 dist_gnucash
 finish
 qpopd

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2007-01-19 05:53:30 UTC (rev 15397)
+++ gnucash/trunk/packaging/win32/install.sh	2007-01-19 11:49:26 UTC (rev 15398)
@@ -318,15 +318,23 @@
 
 function inst_openssl() {
     setup OpenSSL
-    if [ -f $WINDIR\\system32\\libssl32.dll ]
-    then
+    _OPENSSL_UDIR=`unix_path $OPENSSL_DIR`
+    # Make sure the files of Win32OpenSSL-0_9_8d are really gone!
+    if test -f $_OPENSSL_UDIR/unins000.exe ; then
+	die "Wrong version of OpenSSL installed! Run $_OPENSSL_UDIR/unins000.exe and start install.sh again."
+    fi
+    if [ -f $WINDIR\\system32\\libssl32.dll -o -f $WINDIR\\system32\\libeay32.dll ] ; then
+	die "You have uninstalled the wrong version of OpenSSL, but its DLLs libssl32.dll, libeay32.dll, and ssleay32.dll are still existing in $WINDIR\\system32. You have to delete (or rename) them manually. However, if you know these DLLs are needed by some other package, please contact the gnucash authors so that we can adapt this script."
+    fi
+
+    if test -f ${_OPENSSL_UDIR}/lib/libssl.dll.a ; then
         echo "openssl already installed.  skipping."
     else
-        smart_wget $OPENSSL_URL $DOWNLOAD_DIR
-	echo "!!! When asked for an installation path, specify $OPENSSL_DIR !!!"
-        $LAST_FILE
+	mkdir -p ${_OPENSSL_UDIR}
+	wget_unpacked $OPENSSL_BIN_URL $DOWNLOAD_DIR $OPENSSL_DIR
+	wget_unpacked $OPENSSL_LIB_URL $DOWNLOAD_DIR $OPENSSL_DIR
     fi
-    [ -f $WINDIR\\system32\\libssl32.dll ] || die "openssl not installed correctly"
+    test -f ${_OPENSSL_UDIR}/lib/libssl.dll.a || die "openssl not installed correctly"
 }
 
 function inst_pexports() {
@@ -617,7 +625,6 @@
 function inst_gwenhywfar() {
     setup Gwenhywfar
     _GWENHYWFAR_UDIR=`unix_path ${GWENHYWFAR_DIR}`
-    _OPENSSL_UDIR=`unix_path ${OPENSSL_DIR}`
     add_to_env ${_GWENHYWFAR_UDIR}/bin PATH
     add_to_env ${_GWENHYWFAR_UDIR}/lib/pkgconfig PKG_CONFIG_PATH
     if quiet ${PKG_CONFIG} --exists gwenhywfar
@@ -633,7 +640,7 @@
 	    ./configure \
 		--with-openssl-includes=$_OPENSSL_UDIR/include \
 		ssl_libraries="-L${_OPENSSL_UDIR}/lib" \
-		ssl_lib="-leay32 -lssl32" \
+		ssl_lib="-lcrypto -lssl" \
 	        --prefix=$_GWENHYWFAR_UDIR \
 		LDFLAGS="${REGEX_LDFLAGS}"
 	    make
@@ -703,9 +710,8 @@
     _REL_REPOS_UDIR=`unix_path $REL_REPOS_DIR`
     mkdir -p $_BUILD_UDIR
 
-    AQBANKING_OPTIONS=""
     # When aqbanking is enabled, uncomment this:
-    #AQBANKING_OPTIONS="--enable-hbci --with-aqbanking-dir=${_AQBANKING_UDIR}"
+    AQBANKING_OPTIONS="--enable-hbci --with-aqbanking-dir=${_AQBANKING_UDIR}"
 
     qpushd $REPOS_DIR
         if test "x$cross_compile" = xyes ; then



More information about the gnucash-changes mailing list